<?php

include 'load.php';

if(isset($_GET['vsid'])){
	$vsid=mysqli_real_escape_string($conn,$_GET['vsid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobiledailyvisitshop WHERE vsid='$vsid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='dailyvisitshop.php';</script>";
}


	if(isset($_POST['update'])){

	$route = $_POST['route'];
	$shop = $_POST['shop'];
	$rdate = $_POST['rdate'];
	$user = $_SESSION['user_id'];
	$checkvisit = $_POST['checkvisit'];
	$status = $_POST['status'];
	$addby = $_SESSION['emid'];
		
    if(!isset($errMSG)){
			
      $stmt = $DB_con->prepare('UPDATE mobiledailyvisitshop
			SET route=:route,
			shop=:shop,
			rdate=:rdate,
			user=:user,
			checkvisit=:checkvisit,
			status=:status,
			addby=:addby
			WHERE vsid=:vsid');
			$stmt->bindParam(':route',$route);
			$stmt->bindParam(':shop',$shop);
			$stmt->bindParam(':rdate',$rdate);
			$stmt->bindParam(':route',$route);
			$stmt->bindParam(':user',$user);
			$stmt->bindParam(':checkvisit',$checkvisit);
			$stmt->bindParam(':addby',$addby);
			$stmt->bindParam(':vsid',$vsid);
			
      if($stmt->execute()){
		  
			$successMSG = "Daily Visit Shop Successfully Updated ...";
				
			header("refresh:2;dailyvisitshop.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Esit Daily Visit Shop | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Product Daily Visit Shop</h4>
<h6>Create new product route</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
			
									<div class="alert alert-danger alert-dismissible alert-alt solid fade show">
									<button type="button" class="close h-100" data-dismiss="alert" aria-label="Close"><span><i class="mdi mdi-close"></i></span></button>
									<strong>Error!</strong> <?php echo $errMSG; ?>
									</div>

									<?php

									}
	
									else if(isset($successMSG)){

									?>
			
									<div class="alert alert-success alert-dismissible alert-alt solid fade show">
									<button type="button" class="close h-100" data-dismiss="alert" aria-label="Close"><span><i class="mdi mdi-close"></i></span></button>
									<strong>Success!</strong> <?php echo $successMSG; ?>.
									</div>

									<?php

									}

									?>
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Route</label>
<select name="route" class="select" id="inputroute">
										<option value="<?php

												$id = $view_result['route']; 

												$query = $DB_con->prepare('SELECT rtid FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['rtid'];

												?>"><?php

												$id = $view_result['route'];  

												$query = $DB_con->prepare('SELECT routename FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['routename'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileroute ORDER BY rtid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['rtid']; ?>"><?php echo $row['routename']; ?></option>
												<?php 
												} 
												}
												?>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Shop</label>
<select name="shop" class="select" id="inputshop">
										<option value="<?php

												$id = $view_result['route']; 

												$query = $DB_con->prepare('SELECT soid FROM mobileshop WHERE soid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['soid'];

												?>"><?php

												$id = $view_result['route'];  

												$query = $DB_con->prepare('SELECT shopname FROM mobileshop WHERE soid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['shopname'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileshop ORDER BY soid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['soid']; ?>"><?php echo $row['shopname']; ?></option>
												<?php 
												} 
												}
												?>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Date</label>
<input type="date" name="rdate" class="form-control" placeholder="Select Date" value="<?php echo $view_result['rdate']; ?>" >
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Checking</label>
<select class="form-control" name="checkvisit" required>
<option value="1"<?php if($view_result['checkvisit']=="1"){echo "selected";} ?>>Visit</option>
<option value="2"<?php if($view_result['checkvisit']=="2"){echo "selected";} ?>>Open</option>
<option value="3"<?php if($view_result['checkvisit']=="3"){echo "selected";} ?>>Close</option>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12">
<a href="dailyvisitshop.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>